Bug 847945 - nfs_attr_use_mounted_on_file() returns wrong value [rhel-6.3.z]
Summary: nfs_attr_use_mounted_on_file() returns wrong value [rhel-6.3.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.4
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Jian Li
URL:
Whiteboard:
Depends On: 842312
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-14 07:14 UTC by RHEL Program Management
Modified: 2014-03-04 00:09 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-279.9.1.el6
Doc Type: Bug Fix
Doc Text:
Due to a missing return statement, the nfs_attr_use_mounted_on_file() function returned a wrong value. As a consequence, redundant ESTALE errors could potentially be returned. This update adds the proper return statement to nfs_attr_use_mounted_on_file(), thus preventing this bug. Note that this bug only affected NFS version 4 file systems.
Clone Of:
Environment:
Last Closed: 2012-09-25 19:01:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1304 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2012-09-25 22:58:04 UTC

Description RHEL Program Management 2012-08-14 07:14:44 UTC
This bug has been copied from bug #842312 and has been proposed
to be backported to 6.3 z-stream (EUS).

Comment 7 Jian Li 2012-09-11 05:00:13 UTC
This bug is verified as https://bugzilla.redhat.com/show_bug.cgi?id=847944#c7 .

Comment 9 errata-xmlrpc 2012-09-25 19:01:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1304.html


Note You need to log in before you can comment on or make changes to this bug.